CREATE SCHEMA IF NOT EXISTS `amiserv5` ;
USE `amiserv5`;

CREATE TABLE IF NOT EXISTS `amiserv5`.`utilisateurs` (
  `login` VARCHAR(255) NOT NULL,
  `password` VARCHAR(255) NOT NULL DEFAULT '',
  `extension` VARCHAR(10) NOT NULL DEFAULT '',
  `parkinglot` VARCHAR(255) NOT NULL DEFAULT '',
  `isadmin` TINYINT(1) NOT NULL DEFAULT '0',
  `lastlogin` DATETIME NOT NULL DEFAULT '0001-01-01 00:00:00',
  PRIMARY KEY (`login`))
ENGINE = InnoDB;
INSERT INTO `amiserv5`.`utilisateurs` (`login`, `password`, `extension`, `isadmin`, `lastlogin`) VALUES ('admin', 'admin', '', '1', '0001-01-01 00:00:00');

CREATE TABLE IF NOT EXISTS `amiserv5`.`securite` (
  `id` VARCHAR(45) NOT NULL,
  `date` DATETIME NOT NULL,
  `service` VARCHAR(45) NOT NULL,
  `type` VARCHAR(45) NOT NULL,
  `protocol` VARCHAR(45) NOT NULL,
  `ip` VARCHAR(45) NOT NULL,
  `port` INT NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;

GRANT ALL ON `amiserv5`.* TO 'amiserv5'@'localhost' IDENTIFIED BY 'amiserv5';
GRANT ALL ON `asterisk`.* TO 'amiserv5'@'localhost' IDENTIFIED BY 'amiserv5';
FLUSH PRIVILEGES;

CREATE SCHEMA IF NOT EXISTS `supervision3` ;
USE `supervision3`;

CREATE TABLE IF NOT EXISTS `supervision3`.`renommages` (
  `nomoriginal` VARCHAR(255) NOT NULL,
  `nouveaunom` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`nomoriginal`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `supervision3`.`groupes` (
  `id` VARCHAR(50) NOT NULL,
  `owner` VARCHAR(45) NOT NULL,
  `name` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `supervision3`.`groupespostes` (
  `idgroupe` VARCHAR(50) NOT NULL,
  `exten` VARCHAR(10) NOT NULL,
  PRIMARY KEY (`idgroupe`, `exten`));

CREATE TABLE IF NOT EXISTS `supervision3`.`devicesusers` (
  `user` VARCHAR(255) NOT NULL,
  `devicename` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`user`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `supervision3`.`typexfer` (
  `user` VARCHAR(255) NOT NULL,
  `type` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`user`))
ENGINE = InnoDB;


GRANT ALL ON `supervision3`.* TO 'supervision3'@'localhost' IDENTIFIED BY 'supervision3';
FLUSH PRIVILEGES;

CREATE SCHEMA IF NOT EXISTS `chatplugin` ;
USE `chatplugin`;

CREATE TABLE IF NOT EXISTS `chatplugin`.`chatmessages` (
  `id` VARCHAR(45) NOT NULL,
  `date` DATETIME NOT NULL DEFAULT '0001-01-01 00:00:00',
  `source` VARCHAR(255) NOT NULL,
  `destination` VARCHAR(255) NOT NULL,
  `content` TEXT NOT NULL,
  `isnew` TINYINT(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;

GRANT ALL ON `chatplugin`.* TO 'chatplugin'@'localhost' IDENTIFIED BY 'chatplugin';
FLUSH PRIVILEGES;

CREATE SCHEMA IF NOT EXISTS `performance2` ;
USE `performance2`;

CREATE TABLE IF NOT EXISTS `performance2`.`dashboard` (
  `id` VARCHAR(255) NOT NULL,
  `name` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `widget` (
  `dashboardid` varchar(45) NOT NULL,
  `id` varchar(45) NOT NULL,
  `widgettype` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `posx` int(11) NOT NULL DEFAULT '0',
  `posy` int(11) NOT NULL DEFAULT '0',
  `width` int(11) NOT NULL DEFAULT '1',
  `height` int(11) NOT NULL DEFAULT '1',
  `settings` text NOT NULL,
  PRIMARY KEY (`dashboardid`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



GRANT ALL ON `performance2`.* TO 'performance2'@'localhost' IDENTIFIED BY 'performance2';
FLUSH PRIVILEGES;
