#!/bin/bash
source /etc/os-release
OS=$ID
SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"

mysql -u root --force < "$SCRIPTPATH/db.sql"
cp "$SCRIPTPATH/extensions__90-AmiServ5.conf" /etc/asterisk/ombutel/
asterisk -rx "core reload"

if [ $OS = "debian" ]
then
a2enmod ssl
a2enmod proxy
a2enmod proxy_wstunnel
cat > /etc/apache2/conf-available/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off
ProxyPass /amiserv/ws ws://localhost:20000 retry=0
ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
ln -s /etc/apache2/conf-available/z_amiserv.conf /etc/apache2/conf-enabled/z_amiserv.conf
systemctl restart apache2
else
cat > /etc/httpd/conf.d/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off
ProxyPass /amiserv/ws ws://localhost:20000 retry=0
ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
systemctl restart httpd
fi
