use supervision3;

SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "canwriteinshareddirectories";
SET @columntype = "tinyint(1)";
SET @columndefault = "NOT NULL DEFAULT '1'";
SET @aftercolumn = "canseeotherparty";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "autocreateprivatedirectory";
SET @columntype = "tinyint(1)";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "canwriteinshareddirectories";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "chatplugin";
SET @tablename = "chatmessages";
SET @columnname = "messagetype";
SET @columntype = "tinyint(1)";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "id";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

ALTER TABLE chatplugin.chatmessages MODIFY content LONGTEXT;


SET @dbname = "amiserv5";
SET @tablename = "utilisateurs";
SET @columnname = "apitoken";
SET @columntype = "VARCHAR(50)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "isadmin";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

