use supervision3;

SET @dbname = "chatplugin";
SET @tablename = "chatmessages";
SET @columnname = "messagetype";
SET @columntype = "tinyint(1)";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "id";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

ALTER TABLE chatplugin.chatmessages MODIFY content LONGTEXT;


SET @dbname = "amiserv5";
SET @tablename = "utilisateurs";
SET @columnname = "apitoken";
SET @columntype = "VARCHAR(50)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "isadmin";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


UPDATE amiserv5.utilisateurs SET apitoken=CONCAT(LEFT(md5(rand()), 8),LEFT(md5(rand()), 8),LEFT(md5(rand()), 8),LEFT(md5(rand()), 8),LEFT(md5(rand()), 8),LEFT(md5(rand()), 8),LEFT(md5(rand()), 2)) WHERE apitoken='' AND login!='';

ALTER TABLE `chatplugin`.`chatmessages` 
CHANGE COLUMN `messagetype` `messagetype` INT NOT NULL DEFAULT '0' ;

SET @dbname = "chatplugin";
SET @tablename = "chatmessages";
SET @columnname = "attachementname";
SET @columntype = "varchar(255)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "isnew";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

SET @dbname = "chatplugin";
SET @tablename = "chatmessages";
SET @columnname = "attachementfile";
SET @columntype = "varchar(255)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "attachementname";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;

SET @dbname = "chatplugin";
SET @tablename = "chatmessages";
SET @columnname = "attachementsize";
SET @columntype = "bigint";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "attachementfile";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


ALTER TABLE `chatplugin`.`chatmessages` 
DROP COLUMN `messagetype`;
