SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "openpopuponstate";
SET @columntype = "VARCHAR(45)";
SET @columndefault = "NOT NULL DEFAULT 'ringing'";
SET @aftercolumn = "httpcontenttype";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;



ALTER DATABASE `supervision3` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

ALTER TABLE `supervision3`.`groupes` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`groupespostes` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`pauses` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`settings` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`tags` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`userprofile` CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

ALTER TABLE `supervision3`.`groupes` MODIFY `id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`groupes` MODIFY `owner` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`groupes` MODIFY `name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`groupespostes` MODIFY `idgroupe` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`groupespostes` MODIFY `exten` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`pauses` MODIFY `pause` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `id` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `extensions` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `queues` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `conferences` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `inheritgroupfromuser` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `supervisors` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `popupuri` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `popupcontent` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `httpurl` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `httpbody` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `httpmethod` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`profiles` MODIFY `httpcontenttype` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`settings` MODIFY `user` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`settings` MODIFY `object` text(65535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`tags` MODIFY `tag` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`userprofile` MODIFY `user` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE `supervision3`.`userprofile` MODIFY `profileid` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;